@echo off

cd ..

if exist "%JAVA_HOME%\bin\javaw.exe" goto javafound

echo No JVM found.
echo If you have one installed, please set 'JAVA_HOME'.
pause
goto end

:javafound

set classpath=lib/dllStuff.jar;lib/dMSN.jar;lib/jdom1_0.jar;lib/JFlash.jar;lib/looks-1.3b1.jar;lib/Skins.jar;lib/xmlpull.jar;lib/jazzy_spellcheck.jar;lib/commons-jxpath-1.1.jar;lib/sbbi-upnplib-1.0.2.jar;lib/substance.jar;lib/VidConf-libs.jar;lib/JavaLibs-windows.jar;

set JNIPATH=jni\windows;jni\windows\jmf

"%JAVA_HOME%\bin\javaw" -Djava.library.path=%JNIPATH% com.dMSN.Main

:end
